from sys import argv, exit

def error(msg): print(msg) ; exit(1)

if len(argv)==1: error("python3 q-check.py {easy,hard} input_file contestants_output_file")

indata = open( argv[2], 'r' ).readlines()
T = int( indata[0] )

try: outdata = [ int(x) for x in open( argv[3], 'r' ).read().split() ]
except: error("Output must contain whitespace-separated integers only.")
kde = 0

for test in range(T):
    mu, v = [ int(x) for x in indata[2*test+2].split() ]
    if kde==len(outdata): error("Too few numbers in output.")
    N, kde = outdata[kde], kde+1
    if N<10 or N>1000: error("The value of 'n' is out of range.")
    A = [-1]*N
    for n in range(N):
        if kde==len(outdata): error("Too few numbers in output.")
        A[n], kde = outdata[kde], kde+1
        if A[n]<-10**9 or A[n]>10**9: error("A measurement is out of range.")

    if mu*N != sum(A): error("Incorrect mean.")

    B=[ (x-mu)**2 for x in A ]
    if argv[1]=='easy':
        if sum(B) < v*N: error("Variance too low.")
    else:
        if sum(B) != v*N: error("Incorrect variance.")

if kde != len(outdata): error("Too many numbers in output.")

print("OK")
